.cartBox {
	// margin: 0 0 15px;
	padding: 15px 0;
	border-bottom: solid 1px #ddd;
	position: relative;
}
.cartBox_del {
	display: block;
	width: 24px;
	height: 24px;
	background-size: 100% auto;
	background-position: center 41%;
	// float: right;
	// margin: 0 0 10px;
	position: absolute;
	right: 0;
	top: 5px;
}
.cartBox_img {
	float: left;
	width: 75%;
	img {
		max-width: 100%;
	}
	h3 {
		// margin: 0 0 15px 44px;
		margin: 0 0 20px 15px;
		max-width: 60%;
		color: #000;
		&:first-child {
			margin: 64px 0 20px 15px;
		}
	}
	p {
		display: inline-block;
		// margin: 0 0 0 44px;
		margin: 0 0 0 15px;
		border-top: solid 1px #888;
		padding: 10px 5px 0 0;
		font-size: 12px;
		color: #000;
	}
	.cartBox_add {
		font-size: 12px;
	    line-height: 26px;
	    display: inline-block;
	    padding: 0 5px;
	    background-color: #ddd;
	    margin-top: 15px;
	}
}
.cartBox_info {
	// float: left;
	// width: 25%;
	position: absolute;
	right: 15px;
	top: 0;
	text-align: right;
	.cartBox_info_price {
		margin-top: 28px;
		span {
			font-size: 16px;
			line-height: 40px;
			color: #000;
			white-space: nowrap;
		}
		p {
			margin: 0;
			font-size: 24px;
			line-height: 24px;
			font-weight: bold;
			color: #000;
		}
	}
	.cartBox_info_qty {
		margin-top: 15px;
		span {
			font-size: 14px;
		}
		p {
			margin: 0;
			font-size: 24px;
			color: $primary_color;
		}
	}
	.cartBox_select {
		@extend %selector;
		// margin: 20px 0 0;
		margin: 20px 15px 0;//修改
		padding-right: 0;
		width: 30px;
		&:after {
			top: 8px;
			// right: -10px;
			right: -8px;//修改
		}
		select {
			font-size: 20px;
			width: 30px;
		}
	}
	.cartBox_add {
		font-size: 12px;
		line-height: 26px;
		display: inline-block;
		padding: 0 5px;
		background-color: #ddd;
		margin-top: 15px;
	}
}

.ordercheck_btn {
	margin-top: 30px;
	padding: 15px 44px;
	display: flex;
	justify-content: space-between;
	align-items: center;
	span {
		font-size: 12px;	
		&:last-child {
			color: $primary_color;
			border: solid 1px $primary_color;
			padding: 5px 10px;
		}
	}
}

.order_selectWrap {
	margin: 40px 0 0;
	padding: 0 30px;
}
.order_title {
	font-size: 14px;
	margin: 0 15px;
	color: #000;
}
.order_select {
	margin: 15px 0;
	border: solid 1px #000;
	// padding: 0 0 5px;修改刪除
	@extend %selector;
	&:after {
		right: 10px;
	}
	select {
		display: block;
		font-size: 14px;
		width: 100%;
	}
}

.orderdataWrap {
	padding: #{$header_height + 15px} 0 $footer_height;
}
.orderWrap {
	padding-top: #{$header_height + 55px};
}
.data_title {
	font-size: 14px;
	line-height: 30px;
	margin: 0 0 5px;
	padding-left: 30px;
	background-size: 25px auto;
	border-bottom: solid 2px #ccc;
	background-position: left 88.4%;
	label {
		float: right;
	}
}
.orderdata {
	margin: 15px 15px 45px;
	.selectWrap {
		border: solid 1px #888;
		@extend %selector;
		&:after {
			right: 10px;
		}
	}
	textarea {
		border: solid 1px #888;
	}
	.invoice {
		label {
			display: inline-block;
			font-size: 14px;
		}
		> label {
			margin-top: 15px;
		}
		// input[type="radio"] {
		// 	width: 25%;
		// }
		input {
			border: solid 1px #888;
		}
		input[type="text"], input[type="number"] {
			width: 100%;
		}
	}
	.invoice_inner {
		padding: 5px 15px;
		label {
			font-size: 14px;
			width: 30%;
		}
		select {
			font-size: 14px;
			width: 100%;
		}
		input[type="text"] {
			font-size: 16px;
			line-height: 25px;
		}
	}
	.invoice_type {
		margin: 0 0 30px;
		.invoice_inner {
			padding: 0 15px;
			margin: 0 0 10px;
			label {
				width: 50%;
			}
			input {
				width: 47%;
				
			}
		}
	}
	&.orderDetail {
		.data_input {
			padding-left: 25px;
		}
	}
	.warning_text{
		padding-left:26%;
	}
}
.data_input {
	margin: 10px 0;
	label {
		display: inline-block;
		width: 25%;
		font-size: 14px;
		line-height: 30px;
		color: #888;
		vertical-align: middle;
	}
	input[type="text"], input[type="tel"], input[type="password"], input[type="email"], textarea {
		border: solid 1px #888;
		font-size: 16px;
		line-height: 20px;
	}
	span, input[type="text"], input[type="tel"], input[type="password"], input[type="email"], .selectWrap, textarea, .cvsBtn {
		font-size: 16px;
		width: 73%;
		display: inline-block;
		text-align: right;
	}
	.cvsBtn {
		width: 90px;
		color: #fff;
		background-color: $primary_color;
		font-size: 14px;
		line-height: 30px;
		text-align: center;
		// appearance: none;
		border: 0;
	}
	input[type="text"], input[type="tel"], input[type="password"] {
		text-align: left;
	}
	&.payway {
		label {
			width: 45%;
		}
		span {
			width: 50%;
		}
	}
	&.name {
		input[type="text"] {
			width: 30%;
		}
		.genderbox {
			display: inline-block;
			width: auto;
			input {
				vertical-align: middle;
				margin: 0 0 0 10px;
				&:first-of-type {
					margin: 0;
				}
			}
			label {
				font-size: 14px;
				width: auto;
				margin: 0 5px 0 0;
				vertical-align: middle;
				&:last-of-type {
					margin: 0;
				}
			}
		}
	}
	&.address {
		// margin-bottom: 0;
		.selectWrap {
			// width: 73%;
			width: 100%;
			float: right;
			margin: 0 0 10px;
			text-align: left;
			select {
				width: 100%;
			}
			// &:last-of-type {
			// 	margin-bottom: 0;
			// }
		}
		input[type="text"], .txtAddr {
			float: right;
			width: 73%;
			margin-right: 3px;
		}
	}
	&.birth {
		> div {
			display: inline-block;
			border: solid 1px #888;
			margin: 0 4% 0 0;
			vertical-align: top;
			@extend %selector;
			&:after {
				right: 5px;
			}
			select {
				font-size: 14px;
			}
		}
		.birthYear {
			width: 20%;
		}
		.birthMonth, .birthDay {
			width: 20%;
		}
		.birthDay {
			margin: 0;
		}
		span {
			text-align: left;
		}
	}
	&.memberAcc {
		span {
			text-align: left;
		}
	}
} 
// .addr_box{ 因為用control產生出來所以無法直接加class
.data_input.address.clearfix > div {
	display: inline-block;
    width: 73%;
    padding-top: 5px;
    float: right;
    margin-right: 3px;
}
.info-left {
	.data_input {
		padding-left: 28px;
		margin: 0;
		label {
			width: auto;
		}
		span {
			width: auto;
			text-align: left;
			font-size: 14px;
			color: #000;
		}
	}
}
.orderdata_bonus {
	@extend .data_input;
	margin: 10px 0;
	label {
		width: 100%;
	}
	input[type="text"], input[type="tel"], input[type="number"] {
		border: solid 1px #888;
		width: 100%;
	}
	span.UseCheck {
		width: auto;
	}
}
#ContentPlaceHolder1_txtCoupon {
	width: 45%; 
	line-height:1.5em;
}
#checkCoupon, #cancelCoupon {
	width: 25%;
	line-height: 21px;
	border-radius: 0;
}

.orderdata_note {
	border-top: solid 2px #ccc;
	padding: 10px 0;
	margin: 45px 15px;
	input[type="radio"] {
		float: left;
		width: 20px;
	}
	p {
		float: right;
		width: calc(100% - 20px);
		font-size: 14px;
		margin: 0;
		a {
			color: $primary_color;
		}
	}
}

.cartAdd_title {
	padding: 0 5px;
	margin: 45px 15px 0;
	background-color: $primary_color;
	color: #fff;
	font-size: 14px;
	line-height: 28px;
	text-align: center;
}
.cartAdd {
	margin: 0 15px;
	li {
		width: 50%;
		float: left;
		margin: 0 0 15px;
		text-align: center;
	}
	img {
		width: 100%;
		margin: 0 0 10px;
	}
	p {
		margin: 0;
		font-size: 14px;
	}
	a {
		display: inline-block;
		margin: 10px 0 0;
		padding: 0 5px;
		font-size: 14px;
		color: $primary_color;
		border: solid 1px $primary_color;
	}
}

.orderdata_buyinfo {
	position: fixed;
	top: $header_height;
	left: 100vw;
	z-index: 13;
	width: 100vw;
	padding: 15px 15px 60px;
	opacity: 0;
	transition: all .6s;
	background: #fff;
	height: 100vh;
	overflow: auto;
	&.active {
		left: 0;
		opacity: 1;
	}
}
.orderdata_buyinfo_close {
	float: right;
}